udevil(1)

NAME
udevil - alternative storage media interface

SYNOPSIS
udevil [OPTIONS] COMMAND [COMMAND-OPTIONS] [COMMAND-ARGUMENTS]

DESCRIPTION
udevil - alternative storage media interface udevil mounts and unmounts removable devices and network shares without requiring password (set suid), shows device information and monitors device changes. It includes the devmon automounting script.

EXAMPLES
 udevil mount /dev/sdd1
 udevil mount -o ro,noatime /dev/sdd1
 udevil mount -o ro,noatime /dev/sdd1 /media/custom
 udevil mount /tmp/example.iso # ISO file
 udevil mount ftp://sys.domain # ftp site - requires curlftpfs or ftpfs
 udevil mount ftp://user:pass@sys.domain/share # ftp share with user and password
 udevil mount ftp://user:pass@sys.domain:21/share # ftp share with port, user and password
 udevil mount -t ftpfs sys.domain # ftp site with ftpfs
 udevil mount -t curlftpfs sys.domain # ftp site with curl
 udevil mount -t curlftpfs user:pass@sys.domain # ftp site with curl u/p
 udevil mount nfs://sys.domain:/share # nfs share
 udevil mount sys.domain:/share # nfs share
 udevil mount smb://sys.domain/share # samba share w/ cifs
 udevil mount smb://user:pass@10.0.0.1:50/share # samba share w/ u/p/port
 udevil mount smb://WORKGROUP/user@sys.domain # samba share w/ workgroup
 udevil mount //sys.domain/share # samba share w/ cifs
 udevil mount //sys.domain/share -t smbfs # samba share w/ smbfs
 udevil mount ssh://user@sys.domain # sshfs with user - requires sshfs
 udevil mount -t sshfs user@sys.domain # sshfs with user
 udevil mount http://sys.domain/dav/ # WebDAV - requires davfs2
 udevil mount tmpfs # make a ram drive
 WARNING !!! a password on the command line is UNSAFE - see filesystem docs

udevil umount /dev/sdd1
     udevil umount /media/disk
     udevil umount -l /media/disk
     udevil umount /tmp/example.iso

udevil info /dev/sdd1

udevil monitor

udevil clean

OPTIONS
--verbose
     print details
     --quiet
     minimal output

USAGE

MOUNT  -  Mounts DEVICE to mount point DIR with MOUNT-OPTIONS:
     udevil mount|--mount [MOUNT-OPTIONS] [[-b|--block-device] DEVICE] [DIR]
     MOUNT-OPTIONS:
     - |--types|--filesystem-type|--mount-fstype TYPE
     (see man mount)
     -o|--options|--mount-options OPT,... (see man mount)
     --no-user-interaction ignored (for compatibility)

udevil umount|unmount|--unmount|--umount [UNMOUNT-OPTIONS]
     {[-b|--block-device] DEVICE}|DIR
     UNMOUNT-OPTIONS:
     -l lazy unmount (see man umount)
     -f force unmount (see man umount)
     --no-user-interaction ignored (for compatibility)

INFO  -  Show information about DEVICE emulating udisks v1 output:
     udevil info|--show-info|--info [-b|--block-device] DEVICE

MONITOR  -  Display device events emulating udisks v1 output:
    udevil monitor|--monitor

CLEAN  -  Remove unmounted udevil-created mount dirs in media dirs
     udevil clean

HELP  -  Show this help
     udevil help|--help|-h

AUTHOR
This manual page was written by Mateusz Łukasik <mati75@linuxmint.pl>, for the Debian GNU/Linux system (but may be used by others).